The Production Plan Material Request object

Attributes

id string

Unique identifier for the object.

idx integer
parent_id string required
parent_type string required
material_request string required
material_request_date string
The Production Plan Material Request object
{
  "id": "production-plan-material-request_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "material_request": "material_request_example",
  "material_request_date": "2024-01-15"
}
GET /api/manufacturing/production-plan-material-request?parent_id={id}

List production plan material requests by parent

Returns all production plan material requests belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of production plan material request objects belonging to the parent.

GET /api/manufacturing/production-plan-material-request?parent_id={id}
curl https://api.overplane.dev/api/manufacturing/production-plan-material-request?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "production-plan-material-request_abc123",
      "idx": 1,
      "parent_id": null,
      "parent_type": "parent_type_example",
      "material_request": "material_request_example",
      "material_request_date": "2024-01-15"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/manufacturing/production-plan-material-request

Create a production plan material request

Creates a new production plan material request object.

Body parameters

idx integer
parent_id string required
parent_type string required
material_request string required
material_request_date string

Returns

Returns the newly created production plan material request object if the call succeeded.

POST /api/manufacturing/production-plan-material-request
curl https://api.overplane.dev/api/manufacturing/production-plan-material-request \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"parent_id":null,"parent_type":"parent_type_example","material_request":"material_request_example"}'
Response
{
  "id": "production-plan-material-request_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "material_request": "material_request_example",
  "material_request_date": "2024-01-15"
}
PATCH /api/manufacturing/production-plan-material-request/{id}

Update a production plan material request

Updates the specified production plan material request by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the production plan material request to update.

Body parameters

idx integer
parent_id string
parent_type string
material_request string
material_request_date string

Returns

Returns the updated production plan material request object.

PATCH /api/manufacturing/production-plan-material-request/{id}
curl https://api.overplane.dev/api/manufacturing/production-plan-material-request/production-plan-material-request_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"parent_id":null}'
Response
{
  "id": "production-plan-material-request_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "material_request": "material_request_example",
  "material_request_date": "2024-01-15"
}
DELETE /api/manufacturing/production-plan-material-request/{id}

Delete a production plan material request

Permanently deletes a production plan material request. This cannot be undone.

Path parameters

id string required

The identifier of the production plan material request to delete.

Returns

Returns a confirmation that the production plan material request has been deleted.

DELETE /api/manufacturing/production-plan-material-request/{id}
curl https://api.overplane.dev/api/manufacturing/production-plan-material-request/production-plan-material-request_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "production-plan-material-request_abc123",
  "deleted": true
}
POST /api/manufacturing/production-plan-material-request/reorder

Reorder production plan material requests

Updates the sort order of production plan material requests within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/manufacturing/production-plan-material-request/reorder
curl https://api.overplane.dev/api/manufacturing/production-plan-material-request/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "production-plan-material-request_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "material_request": "material_request_example",
  "material_request_date": "2024-01-15"
}